Bug 1192183 - Harden packages by default
Summary: Harden packages by default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1211296 1214506 1289759
Blocks: 1287743 1288717
TreeView+ depends on / blocked
 
Reported: 2015-02-12 19:16 UTC by Till Maas
Modified: 2015-12-08 22:09 UTC (History)
8 users (show)

Fixed In Version: redhat-rpm-config-28-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 17:22:23 UTC


Attachments (Terms of Use)
Patch to enable harden flags (809 bytes, patch)
2015-02-12 19:16 UTC, Till Maas
no flags Details | Diff

Description Till Maas 2015-02-12 19:16:30 UTC
Created attachment 991110 [details]
Patch to enable harden flags

FESCo decided to build all packages with harden flags enabled by default:
https://fedorahosted.org/fesco/ticket/1384

The attached patch takes care of this. If you give me a go-ahead, I will apply the patch and build a new package. If there are any concerns, please let me know now.

Comment 1 Till Maas 2015-02-18 20:52:02 UTC
Since no concerns were raised, I will apply the patch and prepare a build tomorrow.

Comment 2 Till Maas 2015-02-19 17:22:23 UTC
patched and built: http://koji.fedoraproject.org/koji/buildinfo?buildID=613083
redhat-rpm-config-28-1.fc23


Note You need to log in before you can comment on or make changes to this bug.